 data:extend(
{
  {
    type = "technology",
    name = "ore-washing-1",
    icon = "__DirtyOre__/graphics/technology/ore-washing.png",
	icon_size = 128,
    prerequisites = {"automation-2"},
    effects =
    {
      {
        type = "unlock-recipe",
		recipe = "process-dirty-coal",
	  }
    },
    unit =
    {
      count = 30,
      ingredients = {
	    {"science-pack-1", 1}
	  },
      time = 15
    },
    order = "d-a-b"
  },
  {
    type = "technology",
    name = "ore-washing-2",
    icon = "__DirtyOre__/graphics/technology/ore-washing.png",
	icon_size = 128,
    prerequisites = {"ore-washing-1"},
    effects =
    {
      {
        type = "unlock-recipe",
		recipe = "process-dirty-stone"
      }
    },
    unit =
    {
      count = 30,
      ingredients = {
	    {"science-pack-1", 1},
	    {"science-pack-2", 1}
	  },
      time = 30
    },
    order = "d-a-c"
  },
  {
    type = "technology",
    name = "ore-washing-3",
    icon = "__DirtyOre__/graphics/technology/ore-washing.png",
	icon_size = 128,
    prerequisites = {"ore-washing-2"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "process-dirty-copper-ore",
	  },
      {
        type = "unlock-recipe",
		recipe = "process-dirty-iron-ore",
	  }
    },
    unit =
    {
      count = 30,
      ingredients = {
	    {"science-pack-1", 1},
	    {"science-pack-2", 2}
	  },
      time = 60
    },
    order = "d-a-d"
  },
  {
    type = "technology",
    name = "ore-washing-4",
    icon = "__DirtyOre__/graphics/technology/advanced-ore-washing.png",
	icon_size = 128,
    prerequisites = {"ore-washing-3"},
    prerequisites = {"sulfur-processing"},
    effects =
    {
      {
        type = "unlock-recipe",
		recipe = "advanced-process-dirty-coal",
	  },
      {
        type = "unlock-recipe",
		recipe = "advanced-process-dirty-stone"
      },
      {
        type = "unlock-recipe",
        recipe = "advanced-process-dirty-copper-ore",
	  },
      {
        type = "unlock-recipe",
		recipe = "advanced-process-dirty-iron-ore",
	  }
    },
    unit =
    {
      count = 60,
      ingredients = {
	    {"science-pack-1", 1},
	    {"science-pack-2", 1},
	    {"science-pack-3", 2}
	  },
      time = 60
    },
    order = "d-a-e"
  },
}
)