data:extend(
{
  {
    type = "recipe",
    name = "process-dirty-copper-ore",
    enabled = "false",
    category = "crafting-with-fluid",
    energy_required = 1,
    ingredients =
    {
      {"dirty-copper-ore", 10},
	  {type="fluid", name="water", amount=5}
    },
    result_count = 1,
    result = "copper-ore",
    icon = "__DirtyOre__/graphics/icons/process-dirty-copper-ore.png",
    subgroup = "fluid-recipes",
    order = "i[process]-a[copper-ore]"
  },
  {
    type = "recipe",
    name = "process-dirty-iron-ore",
    enabled = "false",
    category = "crafting-with-fluid",
    energy_required = 1,
    ingredients =
    {
      {"dirty-iron-ore", 10},
	  {type="fluid", name="water", amount=5}
    },
    result_count = 1,
    result = "iron-ore",
    icon = "__DirtyOre__/graphics/icons/process-dirty-iron-ore.png",
    subgroup = "fluid-recipes",
    order = "i[process]-b[iron-ore]"
  },
  {
    type = "recipe",
    name = "process-dirty-coal",
    enabled = "false",
    category = "crafting-with-fluid",
    energy_required = 1,
    ingredients =
    {
      {"dirty-coal", 3},
	  {type="fluid", name="water", amount=5}
    },
    result_count = 1,
    result = "coal",
    icon = "__DirtyOre__/graphics/icons/process-dirty-coal.png",
    subgroup = "fluid-recipes",
    order = "i[process]-c[coal]"
  },
  {
    type = "recipe",
    name = "process-dirty-stone",
    enabled = "false",
    category = "crafting-with-fluid",
    energy_required = 1,
    ingredients =
    {
      {"dirty-stone", 10},
	  {type="fluid", name="water", amount=5}
    },
    result_count = 1,
    result = "stone",
    icon = "__DirtyOre__/graphics/icons/process-dirty-stone.png",
    subgroup = "fluid-recipes",
    order = "i[process]-d[stone]"
  },
  {
    type = "recipe",
    name = "advanced-process-dirty-copper-ore",
    enabled = "false",
    category = "crafting-with-fluid",
    energy_required = 1,
    ingredients =
    {
      {"dirty-copper-ore", 5},
	  {type="fluid", name="sulfuric-acid", amount=2}
    },
    result_count = 1,
    result = "copper-ore",
    icon = "__DirtyOre__/graphics/icons/advanced-process-dirty-copper-ore.png",
    subgroup = "fluid-recipes",
    order = "i[process]-a[copper-ore]"
  },
  {
    type = "recipe",
    name = "advanced-process-dirty-iron-ore",
    enabled = "false",
    category = "crafting-with-fluid",
    energy_required = 1,
    ingredients =
    {
      {"dirty-iron-ore", 5},
	  {type="fluid", name="sulfuric-acid", amount=2}
    },
    result_count = 1,
    result = "iron-ore",
    icon = "__DirtyOre__/graphics/icons/advanced-process-dirty-iron-ore.png",
    subgroup = "fluid-recipes",
    order = "i[process]-b[iron-ore]"
  },
  {
    type = "recipe",
    name = "advanced-process-dirty-coal",
    enabled = "false",
    category = "crafting-with-fluid",
    energy_required = 1,
    ingredients =
    {
      {"dirty-coal", 2},
	  {type="fluid", name="sulfuric-acid", amount=2}
    },
    result_count = 1,
    result = "coal",
    icon = "__DirtyOre__/graphics/icons/advanced-process-dirty-coal.png",
    subgroup = "fluid-recipes",
    order = "i[process]-c[coal]"
  },
  {
    type = "recipe",
    name = "advanced-process-dirty-stone",
    enabled = "false",
    category = "crafting-with-fluid",
    energy_required = 1,
    ingredients =
    {
      {"dirty-stone", 5},
	  {type="fluid", name="sulfuric-acid", amount=2}
    },
    result_count = 1,
    result = "stone",
    icon = "__DirtyOre__/graphics/icons/advanced-process-dirty-stone.png",
    subgroup = "fluid-recipes",
    order = "i[process]-d[stone]"
  }
}
)